// ++++++++++++++++++++++++++++++++++
// + Code generated by dcc 1.0      +
// ++++++++++++++++++++++++++++++++++
void t1_rhs(double* f, double* t1_f, double* x, double* t1_x, double* p, double* t1_p, int n, int m)
{
   double Br2=0; 
   double t1_Br2=0; 
   double Br=0; 
   double t1_Br=0; 
   double H2=0; 
   double t1_H2=0; 
   double H=0; 
   double t1_H=0; 
   double HBr=0; 
   double t1_HBr=0; 
   double X=0; 
   double t1_X=0; 
   double k1=0; 
   double t1_k1=0; 
   double k2=0; 
   double t1_k2=0; 
   double k3=0; 
   double t1_k3=0; 
   double k4=0; 
   double t1_k4=0; 
   double k5=0; 
   double t1_k5=0; 
   double v1_0=0; 
   double t1_v1_0=0; 
   double v1_1=0; 
   double t1_v1_1=0; 
   double v1_2=0; 
   double t1_v1_2=0; 
   double v1_3=0; 
   double t1_v1_3=0; 
   double v1_4=0; 
   double t1_v1_4=0; 
   double v1_5=0; 
   double t1_v1_5=0; 
   double v1_6=0; 
   double t1_v1_6=0; 
   double v1_7=0; 
   double t1_v1_7=0; 
   double v1_8=0; 
   double t1_v1_8=0; 
   double v1_9=0; 
   double t1_v1_9=0; 
   double v1_10=0; 
   double t1_v1_10=0; 
   double v1_11=0; 
   double t1_v1_11=0; 
   double v1_12=0; 
   double t1_v1_12=0; 
   double v1_13=0; 
   double t1_v1_13=0; 
   double v1_14=0; 
   double t1_v1_14=0; 
   double v1_15=0; 
   double t1_v1_15=0; 
   double v1_16=0; 
   double t1_v1_16=0; 
   double v1_17=0; 
   double t1_v1_17=0; 
   double v1_18=0; 
   double t1_v1_18=0; 
   double v1_19=0; 
   double t1_v1_19=0; 
   double v1_20=0; 
   double t1_v1_20=0; 
   double v1_21=0; 
   double t1_v1_21=0; 
   double v1_22=0; 
   double t1_v1_22=0; 
   double v1_23=0; 
   double t1_v1_23=0; 
   double v1_24=0; 
   double t1_v1_24=0; 
   double v1_25=0; 
   double t1_v1_25=0; 
   double v1_26=0; 
   double t1_v1_26=0; 
   double v1_27=0; 
   double t1_v1_27=0; 
   double v1_28=0; 
   double t1_v1_28=0; 
   double v1_29=0; 
   double t1_v1_29=0; 
   double v1_30=0; 
   double t1_v1_30=0; 
   double v1_31=0; 
   double t1_v1_31=0; 
   double v1_32=0; 
   double t1_v1_32=0; 
   double v1_33=0; 
   double t1_v1_33=0; 
   double v1_34=0; 
   double t1_v1_34=0; 
   t1_v1_0=t1_x[0]; // TLM array memory reference
   v1_0=x[0]; // SAC array memory reference
   t1_Br2=t1_v1_0; // TLM =
   Br2=v1_0; // SAC =
   t1_v1_0=t1_x[1]; // TLM array memory reference
   v1_0=x[1]; // SAC array memory reference
   t1_Br=t1_v1_0; // TLM =
   Br=v1_0; // SAC =
   t1_v1_0=t1_x[2]; // TLM array memory reference
   v1_0=x[2]; // SAC array memory reference
   t1_H2=t1_v1_0; // TLM =
   H2=v1_0; // SAC =
   t1_v1_0=t1_x[3]; // TLM array memory reference
   v1_0=x[3]; // SAC array memory reference
   t1_H=t1_v1_0; // TLM =
   H=v1_0; // SAC =
   t1_v1_0=t1_x[4]; // TLM array memory reference
   v1_0=x[4]; // SAC array memory reference
   t1_HBr=t1_v1_0; // TLM =
   HBr=v1_0; // SAC =
   t1_v1_0=t1_x[5]; // TLM array memory reference
   v1_0=x[5]; // SAC array memory reference
   t1_X=t1_v1_0; // TLM =
   X=v1_0; // SAC =
   t1_v1_0=t1_p[0]; // TLM array memory reference
   v1_0=p[0]; // SAC array memory reference
   t1_k1=t1_v1_0; // TLM =
   k1=v1_0; // SAC =
   t1_v1_0=t1_p[1]; // TLM array memory reference
   v1_0=p[1]; // SAC array memory reference
   t1_k2=t1_v1_0; // TLM =
   k2=v1_0; // SAC =
   t1_v1_0=t1_p[2]; // TLM array memory reference
   v1_0=p[2]; // SAC array memory reference
   t1_k3=t1_v1_0; // TLM =
   k3=v1_0; // SAC =
   t1_v1_0=t1_p[3]; // TLM array memory reference
   v1_0=p[3]; // SAC array memory reference
   t1_k4=t1_v1_0; // TLM =
   k4=v1_0; // SAC =
   t1_v1_0=t1_p[4]; // TLM array memory reference
   v1_0=p[4]; // SAC array memory reference
   t1_k5=t1_v1_0; // TLM =
   k5=v1_0; // SAC =
   t1_v1_0=t1_k1; // TLM scalar memory reference
   v1_0=k1; // SAC scalar memory reference
   t1_v1_1=t1_Br2; // TLM scalar memory reference
   v1_1=Br2; // SAC scalar memory reference
   t1_v1_2=v1_1*t1_v1_0+v1_0*t1_v1_1; // TLM *
   v1_2=v1_0*v1_1; // SAC *
   t1_v1_3=t1_X; // TLM scalar memory reference
   v1_3=X; // SAC scalar memory reference
   t1_v1_4=v1_3*t1_v1_2+v1_2*t1_v1_3; // TLM *
   v1_4=v1_2*v1_3; // SAC *
   t1_v1_5=0-t1_v1_4; // TLM -
   v1_5=0-v1_4; // SAC -
   t1_v1_6=t1_k2; // TLM scalar memory reference
   v1_6=k2; // SAC scalar memory reference
   t1_v1_7=t1_Br; // TLM scalar memory reference
   v1_7=Br; // SAC scalar memory reference
   t1_v1_8=v1_7*t1_v1_6+v1_6*t1_v1_7; // TLM *
   v1_8=v1_6*v1_7; // SAC *
   t1_v1_9=t1_Br; // TLM scalar memory reference
   v1_9=Br; // SAC scalar memory reference
   t1_v1_10=v1_9*t1_v1_8+v1_8*t1_v1_9; // TLM *
   v1_10=v1_8*v1_9; // SAC *
   t1_v1_11=t1_X; // TLM scalar memory reference
   v1_11=X; // SAC scalar memory reference
   t1_v1_12=v1_11*t1_v1_10+v1_10*t1_v1_11; // TLM *
   v1_12=v1_10*v1_11; // SAC *
   t1_v1_13=t1_v1_5+t1_v1_12; // TLM +
   v1_13=v1_5+v1_12; // SAC +
   t1_v1_14=t1_k5; // TLM scalar memory reference
   v1_14=k5; // SAC scalar memory reference
   t1_v1_15=t1_H; // TLM scalar memory reference
   v1_15=H; // SAC scalar memory reference
   t1_v1_16=v1_15*t1_v1_14+v1_14*t1_v1_15; // TLM *
   v1_16=v1_14*v1_15; // SAC *
   t1_v1_17=t1_Br2; // TLM scalar memory reference
   v1_17=Br2; // SAC scalar memory reference
   t1_v1_18=v1_17*t1_v1_16+v1_16*t1_v1_17; // TLM *
   v1_18=v1_16*v1_17; // SAC *
   t1_v1_19=t1_v1_13-t1_v1_18; // TLM -
   v1_19=v1_13-v1_18; // SAC -
   t1_f[0]=t1_v1_19; // TLM =
   f[0]=v1_19; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=2;  // SAC constant reference
   t1_v1_1=t1_k1; // TLM scalar memory reference
   v1_1=k1; // SAC scalar memory reference
   t1_v1_2=v1_1*t1_v1_0+v1_0*t1_v1_1; // TLM *
   v1_2=v1_0*v1_1; // SAC *
   t1_v1_3=t1_Br2; // TLM scalar memory reference
   v1_3=Br2; // SAC scalar memory reference
   t1_v1_4=v1_3*t1_v1_2+v1_2*t1_v1_3; // TLM *
   v1_4=v1_2*v1_3; // SAC *
   t1_v1_5=t1_X; // TLM scalar memory reference
   v1_5=X; // SAC scalar memory reference
   t1_v1_6=v1_5*t1_v1_4+v1_4*t1_v1_5; // TLM *
   v1_6=v1_4*v1_5; // SAC *
   t1_v1_7=0;  // TLM constant reference
   v1_7=2;  // SAC constant reference
   t1_v1_8=t1_k2; // TLM scalar memory reference
   v1_8=k2; // SAC scalar memory reference
   t1_v1_9=v1_8*t1_v1_7+v1_7*t1_v1_8; // TLM *
   v1_9=v1_7*v1_8; // SAC *
   t1_v1_10=t1_Br; // TLM scalar memory reference
   v1_10=Br; // SAC scalar memory reference
   t1_v1_11=v1_10*t1_v1_9+v1_9*t1_v1_10; // TLM *
   v1_11=v1_9*v1_10; // SAC *
   t1_v1_12=t1_Br; // TLM scalar memory reference
   v1_12=Br; // SAC scalar memory reference
   t1_v1_13=v1_12*t1_v1_11+v1_11*t1_v1_12; // TLM *
   v1_13=v1_11*v1_12; // SAC *
   t1_v1_14=t1_X; // TLM scalar memory reference
   v1_14=X; // SAC scalar memory reference
   t1_v1_15=v1_14*t1_v1_13+v1_13*t1_v1_14; // TLM *
   v1_15=v1_13*v1_14; // SAC *
   t1_v1_16=t1_v1_6-t1_v1_15; // TLM -
   v1_16=v1_6-v1_15; // SAC -
   t1_v1_17=t1_k3; // TLM scalar memory reference
   v1_17=k3; // SAC scalar memory reference
   t1_v1_18=t1_Br; // TLM scalar memory reference
   v1_18=Br; // SAC scalar memory reference
   t1_v1_19=v1_18*t1_v1_17+v1_17*t1_v1_18; // TLM *
   v1_19=v1_17*v1_18; // SAC *
   t1_v1_20=t1_H2; // TLM scalar memory reference
   v1_20=H2; // SAC scalar memory reference
   t1_v1_21=v1_20*t1_v1_19+v1_19*t1_v1_20; // TLM *
   v1_21=v1_19*v1_20; // SAC *
   t1_v1_22=t1_v1_16-t1_v1_21; // TLM -
   v1_22=v1_16-v1_21; // SAC -
   t1_v1_23=t1_k4; // TLM scalar memory reference
   v1_23=k4; // SAC scalar memory reference
   t1_v1_24=t1_H; // TLM scalar memory reference
   v1_24=H; // SAC scalar memory reference
   t1_v1_25=v1_24*t1_v1_23+v1_23*t1_v1_24; // TLM *
   v1_25=v1_23*v1_24; // SAC *
   t1_v1_26=t1_HBr; // TLM scalar memory reference
   v1_26=HBr; // SAC scalar memory reference
   t1_v1_27=v1_26*t1_v1_25+v1_25*t1_v1_26; // TLM *
   v1_27=v1_25*v1_26; // SAC *
   t1_v1_28=t1_v1_22+t1_v1_27; // TLM +
   v1_28=v1_22+v1_27; // SAC +
   t1_v1_29=t1_k5; // TLM scalar memory reference
   v1_29=k5; // SAC scalar memory reference
   t1_v1_30=t1_H; // TLM scalar memory reference
   v1_30=H; // SAC scalar memory reference
   t1_v1_31=v1_30*t1_v1_29+v1_29*t1_v1_30; // TLM *
   v1_31=v1_29*v1_30; // SAC *
   t1_v1_32=t1_Br2; // TLM scalar memory reference
   v1_32=Br2; // SAC scalar memory reference
   t1_v1_33=v1_32*t1_v1_31+v1_31*t1_v1_32; // TLM *
   v1_33=v1_31*v1_32; // SAC *
   t1_v1_34=t1_v1_28+t1_v1_33; // TLM +
   v1_34=v1_28+v1_33; // SAC +
   t1_f[1]=t1_v1_34; // TLM =
   f[1]=v1_34; // SAC =
   t1_v1_0=t1_k3; // TLM scalar memory reference
   v1_0=k3; // SAC scalar memory reference
   t1_v1_1=t1_Br; // TLM scalar memory reference
   v1_1=Br; // SAC scalar memory reference
   t1_v1_2=v1_1*t1_v1_0+v1_0*t1_v1_1; // TLM *
   v1_2=v1_0*v1_1; // SAC *
   t1_v1_3=t1_H2; // TLM scalar memory reference
   v1_3=H2; // SAC scalar memory reference
   t1_v1_4=v1_3*t1_v1_2+v1_2*t1_v1_3; // TLM *
   v1_4=v1_2*v1_3; // SAC *
   t1_v1_5=0-t1_v1_4; // TLM -
   v1_5=0-v1_4; // SAC -
   t1_v1_6=t1_k4; // TLM scalar memory reference
   v1_6=k4; // SAC scalar memory reference
   t1_v1_7=t1_H; // TLM scalar memory reference
   v1_7=H; // SAC scalar memory reference
   t1_v1_8=v1_7*t1_v1_6+v1_6*t1_v1_7; // TLM *
   v1_8=v1_6*v1_7; // SAC *
   t1_v1_9=t1_HBr; // TLM scalar memory reference
   v1_9=HBr; // SAC scalar memory reference
   t1_v1_10=v1_9*t1_v1_8+v1_8*t1_v1_9; // TLM *
   v1_10=v1_8*v1_9; // SAC *
   t1_v1_11=t1_v1_5+t1_v1_10; // TLM +
   v1_11=v1_5+v1_10; // SAC +
   t1_f[2]=t1_v1_11; // TLM =
   f[2]=v1_11; // SAC =
   t1_v1_0=t1_k3; // TLM scalar memory reference
   v1_0=k3; // SAC scalar memory reference
   t1_v1_1=t1_Br; // TLM scalar memory reference
   v1_1=Br; // SAC scalar memory reference
   t1_v1_2=v1_1*t1_v1_0+v1_0*t1_v1_1; // TLM *
   v1_2=v1_0*v1_1; // SAC *
   t1_v1_3=t1_H2; // TLM scalar memory reference
   v1_3=H2; // SAC scalar memory reference
   t1_v1_4=v1_3*t1_v1_2+v1_2*t1_v1_3; // TLM *
   v1_4=v1_2*v1_3; // SAC *
   t1_v1_5=t1_k4; // TLM scalar memory reference
   v1_5=k4; // SAC scalar memory reference
   t1_v1_6=t1_H; // TLM scalar memory reference
   v1_6=H; // SAC scalar memory reference
   t1_v1_7=v1_6*t1_v1_5+v1_5*t1_v1_6; // TLM *
   v1_7=v1_5*v1_6; // SAC *
   t1_v1_8=t1_HBr; // TLM scalar memory reference
   v1_8=HBr; // SAC scalar memory reference
   t1_v1_9=v1_8*t1_v1_7+v1_7*t1_v1_8; // TLM *
   v1_9=v1_7*v1_8; // SAC *
   t1_v1_10=t1_v1_4-t1_v1_9; // TLM -
   v1_10=v1_4-v1_9; // SAC -
   t1_v1_11=t1_k5; // TLM scalar memory reference
   v1_11=k5; // SAC scalar memory reference
   t1_v1_12=t1_H; // TLM scalar memory reference
   v1_12=H; // SAC scalar memory reference
   t1_v1_13=v1_12*t1_v1_11+v1_11*t1_v1_12; // TLM *
   v1_13=v1_11*v1_12; // SAC *
   t1_v1_14=t1_Br2; // TLM scalar memory reference
   v1_14=Br2; // SAC scalar memory reference
   t1_v1_15=v1_14*t1_v1_13+v1_13*t1_v1_14; // TLM *
   v1_15=v1_13*v1_14; // SAC *
   t1_v1_16=t1_v1_10-t1_v1_15; // TLM -
   v1_16=v1_10-v1_15; // SAC -
   t1_f[3]=t1_v1_16; // TLM =
   f[3]=v1_16; // SAC =
   t1_v1_0=t1_k3; // TLM scalar memory reference
   v1_0=k3; // SAC scalar memory reference
   t1_v1_1=t1_Br; // TLM scalar memory reference
   v1_1=Br; // SAC scalar memory reference
   t1_v1_2=v1_1*t1_v1_0+v1_0*t1_v1_1; // TLM *
   v1_2=v1_0*v1_1; // SAC *
   t1_v1_3=t1_H2; // TLM scalar memory reference
   v1_3=H2; // SAC scalar memory reference
   t1_v1_4=v1_3*t1_v1_2+v1_2*t1_v1_3; // TLM *
   v1_4=v1_2*v1_3; // SAC *
   t1_v1_5=t1_k4; // TLM scalar memory reference
   v1_5=k4; // SAC scalar memory reference
   t1_v1_6=t1_H; // TLM scalar memory reference
   v1_6=H; // SAC scalar memory reference
   t1_v1_7=v1_6*t1_v1_5+v1_5*t1_v1_6; // TLM *
   v1_7=v1_5*v1_6; // SAC *
   t1_v1_8=t1_HBr; // TLM scalar memory reference
   v1_8=HBr; // SAC scalar memory reference
   t1_v1_9=v1_8*t1_v1_7+v1_7*t1_v1_8; // TLM *
   v1_9=v1_7*v1_8; // SAC *
   t1_v1_10=t1_v1_4-t1_v1_9; // TLM -
   v1_10=v1_4-v1_9; // SAC -
   t1_v1_11=t1_k5; // TLM scalar memory reference
   v1_11=k5; // SAC scalar memory reference
   t1_v1_12=t1_H; // TLM scalar memory reference
   v1_12=H; // SAC scalar memory reference
   t1_v1_13=v1_12*t1_v1_11+v1_11*t1_v1_12; // TLM *
   v1_13=v1_11*v1_12; // SAC *
   t1_v1_14=t1_Br2; // TLM scalar memory reference
   v1_14=Br2; // SAC scalar memory reference
   t1_v1_15=v1_14*t1_v1_13+v1_13*t1_v1_14; // TLM *
   v1_15=v1_13*v1_14; // SAC *
   t1_v1_16=t1_v1_10+t1_v1_15; // TLM +
   v1_16=v1_10+v1_15; // SAC +
   t1_f[4]=t1_v1_16; // TLM =
   f[4]=v1_16; // SAC =
   t1_v1_0=0;  // TLM constant reference
   v1_0=0;  // SAC constant reference
   t1_f[5]=t1_v1_0; // TLM =
   f[5]=v1_0; // SAC =
   t1_v1_0=t1_x[0]; // TLM array memory reference
   v1_0=x[0]; // SAC array memory reference
   t1_f[6]=t1_v1_0; // TLM =
   f[6]=v1_0; // SAC =
   t1_v1_0=t1_x[1]; // TLM array memory reference
   v1_0=x[1]; // SAC array memory reference
   t1_f[7]=t1_v1_0; // TLM =
   f[7]=v1_0; // SAC =
   t1_v1_0=t1_x[2]; // TLM array memory reference
   v1_0=x[2]; // SAC array memory reference
   t1_f[8]=t1_v1_0; // TLM =
   f[8]=v1_0; // SAC =
   t1_v1_0=t1_x[3]; // TLM array memory reference
   v1_0=x[3]; // SAC array memory reference
   t1_f[9]=t1_v1_0; // TLM =
   f[9]=v1_0; // SAC =
   t1_v1_0=t1_x[4]; // TLM array memory reference
   v1_0=x[4]; // SAC array memory reference
   t1_f[10]=t1_v1_0; // TLM =
   f[10]=v1_0; // SAC =
   t1_v1_0=t1_x[5]; // TLM array memory reference
   v1_0=x[5]; // SAC array memory reference
   t1_f[11]=t1_v1_0; // TLM =
   f[11]=v1_0; // SAC =
}
